#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red

extern int ADXbars = 14;
extern int CountBars = 350;
bool above = True;
bool below = True;
double ArrayAbove[];
double ArrayBelow[];
double PDI1;
double PDI0;
double NDI1;
double NDI0;
int qs;
//int ic;
int li_9;

int init() {
   string ls_0;
   IndicatorBuffers(2);
   SetIndexStyle(0, DRAW_ARROW);
   SetIndexArrow(0, 217);
   SetIndexStyle(1, DRAW_ARROW);
   SetIndexArrow(1, 218);
   SetIndexBuffer(0, ArrayAbove);
   SetIndexBuffer(1, ArrayBelow);
   return (0);
}

int start() {
   if (CountBars >= Bars) CountBars = Bars;
   SetIndexDrawBegin(0, Bars - CountBars);
   SetIndexDrawBegin(1, Bars - CountBars);
   int li_8 = IndicatorCounted();
   if (li_8 < 0) return (-1);
   if (li_8 < 1) {
      for (int li_0 = 1; li_0 <= CountBars; li_0++) ArrayAbove[CountBars - li_0] = 0.0;
      for (li_0 = 1; li_0 <= CountBars; li_0++) ArrayBelow[CountBars - li_0] = 0.0;
   }
   if (li_9!=IndicatorCounted()){
      li_9=IndicatorCounted();
      above=True; below=True;
   }
   for (int i = CountBars; i >= 0; i--) {
      PDI1 = iADX(NULL, 0, ADXbars, PRICE_CLOSE, MODE_PLUSDI, i + 1);
      PDI0 = iADX(NULL, 0, ADXbars, PRICE_CLOSE, MODE_PLUSDI, i);
      NDI1 = iADX(NULL, 0, ADXbars, PRICE_CLOSE, MODE_MINUSDI, i + 1);
      NDI0 = iADX(NULL, 0, ADXbars, PRICE_CLOSE, MODE_MINUSDI, i);
      if (PDI1 < NDI1 && PDI0 > NDI0){
         ArrayAbove[i] = Low[i] - 4.0 * Point;
         if (i==0){
            if (above){
               Alert(i, " - ", IndicatorCounted(), " -   ");//  i  0
               above=False;
            }
         }
      }
      if (PDI1 > NDI1 && PDI0 < NDI0){
         ArrayBelow[i] = High[i] + 4.0 * Point;
         if (i==0){
            if (below){
               Alert(i, " - ", IndicatorCounted(), " -   ");//  i  0
               below=False;
            }
         }
      }
   }
   return (0);
}